import { KoliBri } from '@public-ui/schema';
import { KOL_ICON } from './defaults/icon';

// Hanse Stadt Hamburg
export const HH = KoliBri.createTheme('hh', {
	GLOBAL:
		':host {/* Typographiefarben */--color-textweiss: #fff;--color-textschwarz: #000;--color-headerblau: #003063; /* Primäre Farben (Brand Colors) */--color-rot: #e10019;--color-dunkelblau: var(--color-headerblau);--color-mittelblau: #005ca9; /* Interaktionsfarben */--color-highlightblau: #2b88d8;--color-visitedlila: #7a009f;--color-hyperlink: var(--color-mittelblau);--color-disabled: #b3b3b3; /* Sekundäre Farben */--color-dunkelblau100: var(--color-dunkelblau);--color-dunkelblau75: #40648b;--color-dunkelblau50: #7f97b0;--color-dunkelblau25: #bfcbd8;--color-dunkelblau10: #e5eaef;--color-mittelblau100: var(--color-mittelblau);--color-mittelblau90: #196cb1;--color-mittelblau50: #7fadd4;--color-mittelblau25: #bfd6e9; /* Grauwerte für Hintergrund */--color-grau-hintergrund: #e3e3e3;--color-grau-hintergrund-hell: #f0f0f0; /* Grauwerte für Linien und Flächen */ /*--color-dunkelblau50: #7f97b0;--color-dunkelblau25: #bfcbd8;--color-dunkelblau10: #e5eaef;*/ /* Grauwerte für inaktive Komponenten */--color-grau-vordergrund-disabled-selected: #767676;--color-grau-vordergrund-disabled-unselected: #b3b3b3; /* Icon-Farben für Meldungen, Bars und Tags */--color-blockorange: #fec500;--color-statusgruen: #107c10;--color-tagrot: var(--color-rot); /* Hintergrundfarben für Meldungen */--color-hintergrundorange: #fff4ce;--color-hintergrundgruen: #dff6dd;--color-hintergrundrot: #fce5e7; /* Typographie */--font-family: "Arial";--font-size: 16px;--line-height: 1.5em; /* nicht rem verwenden */--spacing: 0.25em;}:host * {box-sizing: border-box;font-family: var(--font-family);-ms-hyphens: auto;-webkit-hyphens: auto;hyphens: auto;letter-spacing: inherit;word-break: break-word;}:host h1,:host h2,:host h3,:host h4,:host h5,:host h6 {margin: 0;}a:focus,button:focus,input:focus,select:focus,summary:focus,textarea:focus {cursor: pointer;outline-color: var(--color-highlightblau);outline-offset: 0.125rem;outline-style: solid;outline-width: 0.125rem;}button,label {cursor: pointer;}@keyframes spin {0% {transform: rotate(0deg);}100% {transform: rotate(360deg);}}',
	'KOL-BUTTON':
		':host {display: inline-flex;}button {display: grid;font-size: 1rem;font-style: normal;line-height: 1em;gap: 0.25em;justify-content: center;transition: color 0.2s ease, background-color 0.2s ease,border-color 0.2s ease;}button {border-radius: 0;border-width: 0;font-weight: bold;padding: 1em;}button.primary:hover {background-color: #b40014;}button.primary,button.primary:active {color: #fff;background-color: var(--color-rot);}button.danger:hover,button.normal:hover,button.secondary:hover {background-color: #bfbfbf;}button.danger,button.danger:active,button.normal,button.normal:active,button.secondary,button.secondary:active {background-color: var(--color-grau-hintergrund);color: #000;}button.ghost:hover {color: var(--color-highlightblau);}button.ghost,button.ghost:active {background-color: transparent;color: var(--color-hyperlink);}button:disabled,button:disabled:hover {cursor: not-allowed;background-color: var(--color-grau-hintergrund-hell);color: var(--color-disabled);}button.ghost:disabled,button.ghost:disabled:hover {cursor: not-allowed;background-color: transparent;}button > span {display: flex;gap: 0.25em;align-items: center;justify-content: center;}button:active {outline: 0 !important;box-shadow: none !important;}button > span {display: flex;gap: 0.5em;margin: auto;align-items: center;justify-content: center;}kol-button-wc {width: inherit;}button.loading kol-icon {animation: spin 5s infinite linear;}',
	'KOL-BADGE':
		':host {display: inline-block;}span {align-items: center;border-radius: 0.3125rem;display: flex;line-height: 1.25rem;gap: 0.5rem;padding: 0.25rem 0.75rem;}',
	'KOL-ACCORDION':
		':host {font-family: var(--font-family);}:host > div > kol-heading-wc {font-weight: 700;}:host > div > kol-heading-wc button {background-color: var(--color-dunkelblau10);cursor: pointer;width: 100%;margin: 0;display: flex;gap: 0.5em;border: 0;align-items: center;overflow: hidden;font-size: inherit;padding: 1em;color: var(--color-mittelblau);}:host > div > kol-heading-wc button:hover {background-color: var(--color-grau-hintergrund);}:host > div > kol-heading-wc button kol-icon::part(icon) {font-weight: 900;color: var(--color-rot);}:host > div > kol-heading-wc button kol-icon::part(close)::before {font-family: "Font Awesome 6 Free";content: "\\f068";}:host > div > kol-heading-wc button kol-icon::part(open)::before {font-family: "Font Awesome 6 Free";content: "\\2b";}:host > div {width: 100%;height: 100%;display: grid;}:host > div[part*="open"] div[part="content"] {padding: 1em;}:host > div[part*="open"] div[part="header"],:host > div[part*="open"] div[part="content"] {padding-left: 2.5em;}button {font-weight: inherit;font-size: inherit;line-height: inherit;}:host > div {background: var(--color-white);}:host > div[part*="open"] {padding-bottom: 1em;}:host > div > [part="header"] {height: 0;}',
	'KOL-HEADING':
		'h1,h2,h3,h4,h5,h6 {color: var(--color-headerblau);line-height: 1.25em; /* nicht rem verwenden */}h1 {font-size: 2.5rem;}h2 {font-size: 1.5rem;}h3 {font-size: 1.25rem;}@media only screen and (max-width: 64em) {h1 {font-size: 1.5rem;}h2 {font-size: 1.25rem;}h3 {font-size: 1.125rem;}}',
	'KOL-LINK':
		'a {color: var(--color-hyperlink);display: inline-flex;}a:hover {color: var(--color-highlightblau);}:host a.skip {left: -99999px;overflow: hidden;position: absolute;z-index: 9999999;line-height: 1em;}:host a.skip:focus {background: white;left: unset;position: unset;}',
	'KOL-PAGINATION':
		':host > div {display: inline-flex;flex-wrap: wrap;align-items: center;gap: 0.5em;}:host .selected button {min-width: 44px;min-height: 44px;display: grid;line-height: 1.5rem;font-family: var(--font-family);cursor: not-allowed;font-weight: 700;padding: 10px 12px;border: none;font-size: 16px;font-style: normal;text-align: center;text-transform: uppercase;width: inherit;color: #fff;background-color: var(--color-hyperlink);}',
	'KOL-INDENTED-TEXT': ':host > div {width: 100%;padding: 0.125em 0 0.125em 0.5em;background: #ffffff;box-shadow: -4px 0px 0px var(--color-highlightblau);}',
	'KOL-DETAILS':
		'details {display: grid;width: 100%;}summary {cursor: pointer;display: flow-root;margin: 0;padding: 0;}summary span {text-decoration: underline;}summary span:hover {text-decoration-thickness: 0.25em;}details > kol-indented-text {margin: 0.25em 0 0 0.6em;}',
	'KOL-LINK-GROUP':
		'nav {background-color: white;}ul {list-style: none;margin: 0px;padding: 0px;}nav.horizontal ul {display: flex;flex-wrap: wrap;}li {margin-left: 1rem;margin-right: 0.5rem;}li.list-none {list-style-type: none !important;margin-left: 0;}',
	'KOL-SPIN':
		'.spin {display: inline-block;height: 1rem;position: relative;width: 3rem;}.spin span {animation-timing-function: cubic-bezier(0, 1, 1, 0);border: 0.1rem solid rgb(255, 255, 255);border-radius: 50%;height: 0.8rem;width: 0.8rem;top: 0.1rem;position: absolute;}.spin span:nth-child(1) {background-color: var(--color-dunkelblau);z-index: 0;animation: 2s ease 0s infinite normal none running spin1;left: 0.1rem;}.spin span:nth-child(2) {background-color: var(--color-mittelblau);z-index: 1;animation: 2s ease 0s infinite normal none running spin2;left: 0.1rem;}.spin span:nth-child(3) {background-color: var(--color-rot);z-index: 1;animation: 2s ease 0s infinite normal none running spin2;left: 1.1rem;}.spin span:nth-child(4) {background-color: #666;z-index: 0;animation: 2s ease 0s infinite normal none running spin3;left: 2.1rem;}@keyframes spin1 {0% {transform: scale(0);}100% {transform: scale(1);}}@keyframes spin2 {0% {transform: translate(0px, 0px);}100% {transform: translate(1rem, 0px);}}@keyframes spin3 {0% {transform: scale(1);}100% {transform: scale(0);}}',
	'KOL-INPUT-TEXT':
		'kol-input {display: grid;}kol-input label {color: var(--color-textschwarz);display: grid;order: 2;margin-bottom: 0.4em;}kol-input .hint {color: var(--color-grau-vordergrund-disabled-selected);font-size: 0.875em;order: 2;margin-bottom: 0.4em;}kol-input div.input {box-sizing: border-box;order: 3;margin-bottom: 0.4em;background-color: white;}kol-input kol-alert.error {order: 4;}input,select,textarea {font-family: var(--font-family);background-color: transparent;box-sizing: border-box;font-size: 1rem;display: inline-flex;line-height: 1.5em;color: var(--default-letter);border-color: var(--color-textschwarz);border-width: 1px;border-style: solid;padding: 0.625em 0.875em;overflow: hidden;width: 100%;}input,select:not([multiple]) {height: 2.75em;}input::placeholder {color: var(--color-grau-vordergrund-disabled-selected);}input:hover {border-color: var(--default-border-hover);}input:not([type="color"]):read-only,input:disabled,/* select:read-only, */select:disabled,textarea:read-only,textarea:disabled {cursor: not-allowed;border-color: var(--color-grau-vordergrund-disabled-selected);}kol-input:not(.required) label > span::after {content: " - Optional";color: var(--color-grau-vordergrund-disabled-selected);font-size: 0.875em;padding-left: 0.125em;}.icons {display: flex;justify-content: space-between;height: 0;}.icons > * {margin: 0.75em;}.icon-left input,.icon-left select {padding-left: 2em;}.icon-right input,.icon-right select {padding-right: 2em;}kol-input.error {border-left: 4px solid var(--color-rot);padding-left: 1em;}kol-input.error input:focus,kol-input.error select:focus,kol-input.error textarea:focus {outline-color: var(--color-rot) !important;}kol-input.error kol-alert.error {color: var(--color-rot);margin-left: -0.125em;font-size: 0.875em;}kol-button-wc {position: relative;float: right;z-index: 1000;margin-top: -44px;width: 44px;}kol-button-wc button {box-sizing: border-box;background-color: transparent;height: 44px;cursor: pointer;border: 0;}.icon-right kol-button-wc {margin-right: 2.5em;}.disabled {opacity: 0.33;}select[multiple],textarea {overflow: auto;}textarea {display: block;}select option {margin: 1px 0;padding: 0.5em;cursor: pointer;}select option:disabled {cursor: not-allowed;}option:active:not(:disabled),option:checked:not(:disabled),option:focus:not(:disabled),option:hover:not(:disabled) {background: var(--color-mittelblau);color: white;}',
	'KOL-ALERT':
		':host > div {font-family: var(--font-family);display: flex;width: 100%;overflow: hidden;background-color: white;}:host > div.error .icon {color: var(--color-rot);}:host > div.info .icon {color: var(--color-mittelblau);}:host > div.success .icon {color: var(--color-statusgruen);}:host > div.warning .icon {color: var(--color-blockorange);}:host .icon {align-items: center;display: inline-flex;}:host > div.msg .icon {padding: 0 0.25em;}:host > div.card .icon {padding: 0 0.5em 0 0;}:host > div > div > .heading {padding: 0 0.25rem;display: inline-block;}:host > div > div > .heading > .icon {margin-left: -0.25rem;margin-right: 0.25rem;}:host > div > div > div:last-child {padding: 0.25rem;}:host > div.msg.error > div > .heading {color: var(--color-rot);}:host > div.msg.info > div > .heading {color: var(--color-mittelblau);}:host > div.msg.success > div > .heading {color: var(--color-statusgruen);}:host > div.msg.warning > div > .heading {color: var(--color-blockorange);}:host .card {padding: 1rem 2rem;}:host > div.card.error {background-color: var(--color-hintergrundrot);}:host > div.card.info {background-color: var(--color-mittelblau25);}:host > div.card.success {background-color: var(--color-hintergrundgruen);}:host > div.card.warning {background-color: var(--color-hintergrundorange);}:host > div.card > div,:host > div.card > div {width: 100%;}:host > div.card > div > .heading {width: 100%;}:host > div.card > div > .heading,:host > div.card > div > div:last-child {padding: 0.25em;}:host > div.card > div > div:last-child {margin-left: 1.5em;}:host > div kol-icon::part(icon)::before {font-family: "Font Awesome 6 Free" !important;width: 1em;display: inline-block;text-align: center;font-weight: 900;}:host > div.error kol-icon::part(icon)::before {content: "\\f00d";}:host > div.info kol-icon::part(icon)::before {content: "\\f075";}:host > div.success kol-icon::part(icon)::before {content: "\\f00c";}:host > div.warning kol-icon::part(icon)::before {content: "\\21";}',
	'KOL-INPUT-COLOR':
		'kol-input {display: grid;}kol-input label {color: var(--color-textschwarz);display: grid;order: 2;margin-bottom: 0.4em;}kol-input .hint {color: var(--color-grau-vordergrund-disabled-selected);font-size: 0.875em;order: 2;margin-bottom: 0.4em;}kol-input div.input {box-sizing: border-box;order: 3;margin-bottom: 0.4em;background-color: white;}kol-input kol-alert.error {order: 4;}input,select,textarea {font-family: var(--font-family);background-color: transparent;box-sizing: border-box;font-size: 1rem;display: inline-flex;line-height: 1.5em;color: var(--default-letter);border-color: var(--color-textschwarz);border-width: 1px;border-style: solid;padding: 0.625em 0.875em;overflow: hidden;width: 100%;}input,select:not([multiple]) {height: 2.75em;}input::placeholder {color: var(--color-grau-vordergrund-disabled-selected);}input:hover {border-color: var(--default-border-hover);}input:not([type="color"]):read-only,input:disabled,/* select:read-only, */select:disabled,textarea:read-only,textarea:disabled {cursor: not-allowed;border-color: var(--color-grau-vordergrund-disabled-selected);}kol-input:not(.required) label > span::after {content: " - Optional";color: var(--color-grau-vordergrund-disabled-selected);font-size: 0.875em;padding-left: 0.125em;}.icons {display: flex;justify-content: space-between;height: 0;}.icons > * {margin: 0.75em;}.icon-left input,.icon-left select {padding-left: 2em;}.icon-right input,.icon-right select {padding-right: 2em;}kol-input.error {border-left: 4px solid var(--color-rot);padding-left: 1em;}kol-input.error input:focus,kol-input.error select:focus,kol-input.error textarea:focus {outline-color: var(--color-rot) !important;}kol-input.error kol-alert.error {color: var(--color-rot);margin-left: -0.125em;font-size: 0.875em;}kol-button-wc {position: relative;float: right;z-index: 1000;margin-top: -44px;width: 44px;}kol-button-wc button {box-sizing: border-box;background-color: transparent;height: 44px;cursor: pointer;border: 0;}.icon-right kol-button-wc {margin-right: 2.5em;}.disabled {opacity: 0.33;}select[multiple],textarea {overflow: auto;}textarea {display: block;}select option {margin: 1px 0;padding: 0.5em;cursor: pointer;}select option:disabled {cursor: not-allowed;}option:active:not(:disabled),option:checked:not(:disabled),option:focus:not(:disabled),option:hover:not(:disabled) {background: var(--color-mittelblau);color: white;}',
	'KOL-INPUT-FILE':
		'kol-input {display: grid;}kol-input label {color: var(--color-textschwarz);display: grid;order: 2;margin-bottom: 0.4em;}kol-input .hint {color: var(--color-grau-vordergrund-disabled-selected);font-size: 0.875em;order: 2;margin-bottom: 0.4em;}kol-input div.input {box-sizing: border-box;order: 3;margin-bottom: 0.4em;background-color: white;}kol-input kol-alert.error {order: 4;}input,select,textarea {font-family: var(--font-family);background-color: transparent;box-sizing: border-box;font-size: 1rem;display: inline-flex;line-height: 1.5em;color: var(--default-letter);border-color: var(--color-textschwarz);border-width: 1px;border-style: solid;padding: 0.625em 0.875em;overflow: hidden;width: 100%;}input,select:not([multiple]) {height: 2.75em;}input::placeholder {color: var(--color-grau-vordergrund-disabled-selected);}input:hover {border-color: var(--default-border-hover);}input:not([type="color"]):read-only,input:disabled,/* select:read-only, */select:disabled,textarea:read-only,textarea:disabled {cursor: not-allowed;border-color: var(--color-grau-vordergrund-disabled-selected);}kol-input:not(.required) label > span::after {content: " - Optional";color: var(--color-grau-vordergrund-disabled-selected);font-size: 0.875em;padding-left: 0.125em;}.icons {display: flex;justify-content: space-between;height: 0;}.icons > * {margin: 0.75em;}.icon-left input,.icon-left select {padding-left: 2em;}.icon-right input,.icon-right select {padding-right: 2em;}kol-input.error {border-left: 4px solid var(--color-rot);padding-left: 1em;}kol-input.error input:focus,kol-input.error select:focus,kol-input.error textarea:focus {outline-color: var(--color-rot) !important;}kol-input.error kol-alert.error {color: var(--color-rot);margin-left: -0.125em;font-size: 0.875em;}kol-button-wc {position: relative;float: right;z-index: 1000;margin-top: -44px;width: 44px;}kol-button-wc button {box-sizing: border-box;background-color: transparent;height: 44px;cursor: pointer;border: 0;}.icon-right kol-button-wc {margin-right: 2.5em;}.disabled {opacity: 0.33;}select[multiple],textarea {overflow: auto;}textarea {display: block;}select option {margin: 1px 0;padding: 0.5em;cursor: pointer;}select option:disabled {cursor: not-allowed;}option:active:not(:disabled),option:checked:not(:disabled),option:focus:not(:disabled),option:hover:not(:disabled) {background: var(--color-mittelblau);color: white;}',
	'KOL-INPUT-EMAIL':
		'kol-input {display: grid;}kol-input label {color: var(--color-textschwarz);display: grid;order: 2;margin-bottom: 0.4em;}kol-input .hint {color: var(--color-grau-vordergrund-disabled-selected);font-size: 0.875em;order: 2;margin-bottom: 0.4em;}kol-input div.input {box-sizing: border-box;order: 3;margin-bottom: 0.4em;background-color: white;}kol-input kol-alert.error {order: 4;}input,select,textarea {font-family: var(--font-family);background-color: transparent;box-sizing: border-box;font-size: 1rem;display: inline-flex;line-height: 1.5em;color: var(--default-letter);border-color: var(--color-textschwarz);border-width: 1px;border-style: solid;padding: 0.625em 0.875em;overflow: hidden;width: 100%;}input,select:not([multiple]) {height: 2.75em;}input::placeholder {color: var(--color-grau-vordergrund-disabled-selected);}input:hover {border-color: var(--default-border-hover);}input:not([type="color"]):read-only,input:disabled,/* select:read-only, */select:disabled,textarea:read-only,textarea:disabled {cursor: not-allowed;border-color: var(--color-grau-vordergrund-disabled-selected);}kol-input:not(.required) label > span::after {content: " - Optional";color: var(--color-grau-vordergrund-disabled-selected);font-size: 0.875em;padding-left: 0.125em;}.icons {display: flex;justify-content: space-between;height: 0;}.icons > * {margin: 0.75em;}.icon-left input,.icon-left select {padding-left: 2em;}.icon-right input,.icon-right select {padding-right: 2em;}kol-input.error {border-left: 4px solid var(--color-rot);padding-left: 1em;}kol-input.error input:focus,kol-input.error select:focus,kol-input.error textarea:focus {outline-color: var(--color-rot) !important;}kol-input.error kol-alert.error {color: var(--color-rot);margin-left: -0.125em;font-size: 0.875em;}kol-button-wc {position: relative;float: right;z-index: 1000;margin-top: -44px;width: 44px;}kol-button-wc button {box-sizing: border-box;background-color: transparent;height: 44px;cursor: pointer;border: 0;}.icon-right kol-button-wc {margin-right: 2.5em;}.disabled {opacity: 0.33;}select[multiple],textarea {overflow: auto;}textarea {display: block;}select option {margin: 1px 0;padding: 0.5em;cursor: pointer;}select option:disabled {cursor: not-allowed;}option:active:not(:disabled),option:checked:not(:disabled),option:focus:not(:disabled),option:hover:not(:disabled) {background: var(--color-mittelblau);color: white;}',
	'KOL-INPUT-NUMBER':
		'kol-input {display: grid;}kol-input label {color: var(--color-textschwarz);display: grid;order: 2;margin-bottom: 0.4em;}kol-input .hint {color: var(--color-grau-vordergrund-disabled-selected);font-size: 0.875em;order: 2;margin-bottom: 0.4em;}kol-input div.input {box-sizing: border-box;order: 3;margin-bottom: 0.4em;background-color: white;}kol-input kol-alert.error {order: 4;}input,select,textarea {font-family: var(--font-family);background-color: transparent;box-sizing: border-box;font-size: 1rem;display: inline-flex;line-height: 1.5em;color: var(--default-letter);border-color: var(--color-textschwarz);border-width: 1px;border-style: solid;padding: 0.625em 0.875em;overflow: hidden;width: 100%;}input,select:not([multiple]) {height: 2.75em;}input::placeholder {color: var(--color-grau-vordergrund-disabled-selected);}input:hover {border-color: var(--default-border-hover);}input:not([type="color"]):read-only,input:disabled,/* select:read-only, */select:disabled,textarea:read-only,textarea:disabled {cursor: not-allowed;border-color: var(--color-grau-vordergrund-disabled-selected);}kol-input:not(.required) label > span::after {content: " - Optional";color: var(--color-grau-vordergrund-disabled-selected);font-size: 0.875em;padding-left: 0.125em;}.icons {display: flex;justify-content: space-between;height: 0;}.icons > * {margin: 0.75em;}.icon-left input,.icon-left select {padding-left: 2em;}.icon-right input,.icon-right select {padding-right: 2em;}kol-input.error {border-left: 4px solid var(--color-rot);padding-left: 1em;}kol-input.error input:focus,kol-input.error select:focus,kol-input.error textarea:focus {outline-color: var(--color-rot) !important;}kol-input.error kol-alert.error {color: var(--color-rot);margin-left: -0.125em;font-size: 0.875em;}kol-button-wc {position: relative;float: right;z-index: 1000;margin-top: -44px;width: 44px;}kol-button-wc button {box-sizing: border-box;background-color: transparent;height: 44px;cursor: pointer;border: 0;}.icon-right kol-button-wc {margin-right: 2.5em;}.disabled {opacity: 0.33;}select[multiple],textarea {overflow: auto;}textarea {display: block;}select option {margin: 1px 0;padding: 0.5em;cursor: pointer;}select option:disabled {cursor: not-allowed;}option:active:not(:disabled),option:checked:not(:disabled),option:focus:not(:disabled),option:hover:not(:disabled) {background: var(--color-mittelblau);color: white;}',
	'KOL-INPUT-PASSWORD':
		'kol-input {display: grid;}kol-input label {color: var(--color-textschwarz);display: grid;order: 2;margin-bottom: 0.4em;}kol-input .hint {color: var(--color-grau-vordergrund-disabled-selected);font-size: 0.875em;order: 2;margin-bottom: 0.4em;}kol-input div.input {box-sizing: border-box;order: 3;margin-bottom: 0.4em;background-color: white;}kol-input kol-alert.error {order: 4;}input,select,textarea {font-family: var(--font-family);background-color: transparent;box-sizing: border-box;font-size: 1rem;display: inline-flex;line-height: 1.5em;color: var(--default-letter);border-color: var(--color-textschwarz);border-width: 1px;border-style: solid;padding: 0.625em 0.875em;overflow: hidden;width: 100%;}input,select:not([multiple]) {height: 2.75em;}input::placeholder {color: var(--color-grau-vordergrund-disabled-selected);}input:hover {border-color: var(--default-border-hover);}input:not([type="color"]):read-only,input:disabled,/* select:read-only, */select:disabled,textarea:read-only,textarea:disabled {cursor: not-allowed;border-color: var(--color-grau-vordergrund-disabled-selected);}kol-input:not(.required) label > span::after {content: " - Optional";color: var(--color-grau-vordergrund-disabled-selected);font-size: 0.875em;padding-left: 0.125em;}.icons {display: flex;justify-content: space-between;height: 0;}.icons > * {margin: 0.75em;}.icon-left input,.icon-left select {padding-left: 2em;}.icon-right input,.icon-right select {padding-right: 2em;}kol-input.error {border-left: 4px solid var(--color-rot);padding-left: 1em;}kol-input.error input:focus,kol-input.error select:focus,kol-input.error textarea:focus {outline-color: var(--color-rot) !important;}kol-input.error kol-alert.error {color: var(--color-rot);margin-left: -0.125em;font-size: 0.875em;}kol-button-wc {position: relative;float: right;z-index: 1000;margin-top: -44px;width: 44px;}kol-button-wc button {box-sizing: border-box;background-color: transparent;height: 44px;cursor: pointer;border: 0;}.icon-right kol-button-wc {margin-right: 2.5em;}.disabled {opacity: 0.33;}select[multiple],textarea {overflow: auto;}textarea {display: block;}select option {margin: 1px 0;padding: 0.5em;cursor: pointer;}select option:disabled {cursor: not-allowed;}option:active:not(:disabled),option:checked:not(:disabled),option:focus:not(:disabled),option:hover:not(:disabled) {background: var(--color-mittelblau);color: white;}',
	'KOL-SELECT':
		'kol-input {display: grid;}kol-input label {color: var(--color-textschwarz);display: grid;order: 2;margin-bottom: 0.4em;}kol-input .hint {color: var(--color-grau-vordergrund-disabled-selected);font-size: 0.875em;order: 2;margin-bottom: 0.4em;}kol-input div.input {box-sizing: border-box;order: 3;margin-bottom: 0.4em;background-color: white;}kol-input kol-alert.error {order: 4;}input,select,textarea {font-family: var(--font-family);background-color: transparent;box-sizing: border-box;font-size: 1rem;display: inline-flex;line-height: 1.5em;color: var(--default-letter);border-color: var(--color-textschwarz);border-width: 1px;border-style: solid;padding: 0.625em 0.875em;overflow: hidden;width: 100%;}input,select:not([multiple]) {height: 2.75em;}input::placeholder {color: var(--color-grau-vordergrund-disabled-selected);}input:hover {border-color: var(--default-border-hover);}input:not([type="color"]):read-only,input:disabled,/* select:read-only, */select:disabled,textarea:read-only,textarea:disabled {cursor: not-allowed;border-color: var(--color-grau-vordergrund-disabled-selected);}kol-input:not(.required) label > span::after {content: " - Optional";color: var(--color-grau-vordergrund-disabled-selected);font-size: 0.875em;padding-left: 0.125em;}.icons {display: flex;justify-content: space-between;height: 0;}.icons > * {margin: 0.75em;}.icon-left input,.icon-left select {padding-left: 2em;}.icon-right input,.icon-right select {padding-right: 2em;}kol-input.error {border-left: 4px solid var(--color-rot);padding-left: 1em;}kol-input.error input:focus,kol-input.error select:focus,kol-input.error textarea:focus {outline-color: var(--color-rot) !important;}kol-input.error kol-alert.error {color: var(--color-rot);margin-left: -0.125em;font-size: 0.875em;}kol-button-wc {position: relative;float: right;z-index: 1000;margin-top: -44px;width: 44px;}kol-button-wc button {box-sizing: border-box;background-color: transparent;height: 44px;cursor: pointer;border: 0;}.icon-right kol-button-wc {margin-right: 2.5em;}.disabled {opacity: 0.33;}select[multiple],textarea {overflow: auto;}textarea {display: block;}select option {margin: 1px 0;padding: 0.5em;cursor: pointer;}select option:disabled {cursor: not-allowed;}option:active:not(:disabled),option:checked:not(:disabled),option:focus:not(:disabled),option:hover:not(:disabled) {background: var(--color-mittelblau);color: white;}',
	'KOL-TEXTAREA':
		'kol-input {display: grid;}kol-input label {color: var(--color-textschwarz);display: grid;order: 2;margin-bottom: 0.4em;}kol-input .hint {color: var(--color-grau-vordergrund-disabled-selected);font-size: 0.875em;order: 2;margin-bottom: 0.4em;}kol-input div.input {box-sizing: border-box;order: 3;margin-bottom: 0.4em;background-color: white;}kol-input kol-alert.error {order: 4;}input,select,textarea {font-family: var(--font-family);background-color: transparent;box-sizing: border-box;font-size: 1rem;display: inline-flex;line-height: 1.5em;color: var(--default-letter);border-color: var(--color-textschwarz);border-width: 1px;border-style: solid;padding: 0.625em 0.875em;overflow: hidden;width: 100%;}input,select:not([multiple]) {height: 2.75em;}input::placeholder {color: var(--color-grau-vordergrund-disabled-selected);}input:hover {border-color: var(--default-border-hover);}input:not([type="color"]):read-only,input:disabled,/* select:read-only, */select:disabled,textarea:read-only,textarea:disabled {cursor: not-allowed;border-color: var(--color-grau-vordergrund-disabled-selected);}kol-input:not(.required) label > span::after {content: " - Optional";color: var(--color-grau-vordergrund-disabled-selected);font-size: 0.875em;padding-left: 0.125em;}.icons {display: flex;justify-content: space-between;height: 0;}.icons > * {margin: 0.75em;}.icon-left input,.icon-left select {padding-left: 2em;}.icon-right input,.icon-right select {padding-right: 2em;}kol-input.error {border-left: 4px solid var(--color-rot);padding-left: 1em;}kol-input.error input:focus,kol-input.error select:focus,kol-input.error textarea:focus {outline-color: var(--color-rot) !important;}kol-input.error kol-alert.error {color: var(--color-rot);margin-left: -0.125em;font-size: 0.875em;}kol-button-wc {position: relative;float: right;z-index: 1000;margin-top: -44px;width: 44px;}kol-button-wc button {box-sizing: border-box;background-color: transparent;height: 44px;cursor: pointer;border: 0;}.icon-right kol-button-wc {margin-right: 2.5em;}.disabled {opacity: 0.33;}select[multiple],textarea {overflow: auto;}textarea {display: block;}select option {margin: 1px 0;padding: 0.5em;cursor: pointer;}select option:disabled {cursor: not-allowed;}option:active:not(:disabled),option:checked:not(:disabled),option:focus:not(:disabled),option:hover:not(:disabled) {background: var(--color-mittelblau);color: white;}',
	'KOL-INPUT-CHECKBOX':
		'/* INPUT */kol-input {--spacing: 0.25em;display: grid;align-items: center;justify-items: left;width: 100%;}kol-input.checkbox {grid-template-columns: 2rem auto;}kol-input.switch {grid-template-columns: 4rem auto;}kol-input > div.input {display: inline-flex;order: 2;}kol-input > div.input input {margin: 0px;}kol-input > label {cursor: pointer;order: 3;}kol-input > kol-alert.error {order: 1;padding-top: 0.25em;margin-bottom: 0.4em;grid-column: span 2 / auto;}kol-input.error {border-left: 3px solid var(--color-rot);padding-left: 1em;}kol-input.error input:focus,kol-input.error select:focus,kol-input.error textarea:focus {outline-color: var(--color-rot) !important;}kol-input.error kol-alert.error {color: var(--color-rot);font-weight: 700;}input {cursor: pointer;order: 1;width: 100%;color: var(--color-textschwarz);border-color: var(--color-grau-vordergrund-disabled-selected);border-width: 2px;border-style: solid;border-radius: 5px; /* padding: 10px 14px; */line-height: 24px;font-size: 1rem;}input:hover {border-color: var(--color-grau-vordergrund-disabled-selected-hover);box-shadow: 0px 2px 8px 2px rgba(8, 35, 48, 0.24);}input:focus:hover {box-shadow: none;}input:active {box-shadow: none;}kol-alert {display: block;width: 100%;} /* CHECKBOX */kol-input label span {margin-top: 0.125rem;}kol-input:not(.required) label > span::after {content: " - Optional";color: var(--color-grau-vordergrund-disabled-selected);font-size: 0.875em;padding-left: 0.125em;}kol-input input[type="checkbox"] {appearance: none;background-color: white;cursor: pointer;transition: 0.5s;}kol-input input[type="checkbox"].kol-disabled:before {cursor: not-allowed;}kol-input input[type="checkbox"]:before {content: "";cursor: pointer;}kol-input input[type="checkbox"]:checked {background-color: var(--color-mittelblau);border-color: var(--color-mittelblau);}kol-input.checkbox input[type="checkbox"] {border-radius: 0.25em;height: calc(6 * var(--spacing));min-width: calc(6 * var(--spacing));width: calc(6 * var(--spacing));}kol-input.checkbox input[type="checkbox"]:before {border-radius: 1.5em;background-color: transparent;display: block;height: calc(6 * var(--spacing));position: relative;width: calc(6 * var(--spacing));}kol-input.checkbox input[type="checkbox"]:checked:before {border-right-width: 3px;border-bottom-width: 3px;left: calc(1.5 * var(--spacing) - 2px);top: calc(2.85 * var(--spacing) - 2px);transform: rotate(40deg) translate(-50%, -50%);background-color: transparent;border-width: 0px 3px 3px 0px;border-color: white;border-radius: 1px;border-style: solid;height: calc(3 * var(--spacing));width: calc(1.5 * var(--spacing));}kol-input.checkbox input[type="checkbox"]:indeterminate {--tw-bg-opacity: 1;background-color: white;}kol-input.checkbox input[type="checkbox"]:indeterminate:before {background-color: var(--color-grau-vordergrund-disabled-selected);height: 0.375rem;top: 0.45rem;left: 0.15rem;width: calc(4 * var(--spacing));}kol-input.switch input[type="checkbox"] {min-width: 3.5em;width: 3.5em;background-color: var(--color-grau-vordergrund-disabled-selected);border-width: 0;height: 1.5em;border-radius: 1.25em;display: inline-block;position: relative;}kol-input.switch input[type="checkbox"]:before {-webkit-transition: 0.5s;-moz-transition: 0.5s;-ms-transition: 0.5s;transition: 0.5;width: 1.25em;height: 1.25em;left: calc(0.25em - 2px);top: calc(0.25em - 2px);border-radius: 1.25em;background-color: white;position: absolute;}kol-input.switch input[type="checkbox"]:checked {background-color: var(--color-mittelblau);}kol-input.switch input[type="checkbox"]:checked:before {-webkit-transform: translateX(2em);-moz-transform: translateX(2em);-ms-transform: translateX(2em);transform: translateX(2em);--tw-bg-opacity: 1;}kol-input.switch input[type="checkbox"]:indeterminate {--tw-bg-opacity: 1;}kol-input.switch input[type="checkbox"]:indeterminate:before {-webkit-transform: translateX(1em);-moz-transform: translateX(1em);-ms-transform: translateX(1em);transform: translateX(1em);}.disabled {opacity: 0.33;}',
	'KOL-INPUT-RADIO':
		'/* INPUT */label {cursor: pointer;color: var(--color-textschwarz);display: grid;font-size: 14px;line-height: 20px;gap: 8px;width: 100%;}input {cursor: pointer;width: 100%;color: var(--color-textschwarz);border-color: var(--color-grau-vordergrund-disabled-selected);border-width: 2px;border-style: solid;border-radius: 5px; /* padding: 10px 14px; */line-height: 24px;font-size: 16px;}input:hover {border-color: var(--color-grau-vordergrund-disabled-selected-hover);}kol-input:not(.required) label > span::after {content: " - Optional";color: var(--color-grau-vordergrund-disabled-selected);font-size: 0.875em;padding-left: 0.125em;} /* RADIO */:host fieldset {border: 0px;margin: 0px;padding: 0px;display: grid;gap: 0.25em;}:host fieldset div {cursor: pointer;display: flex;flex-direction: row;margin-top: 0.125em;margin-bottom: 0.125em;align-items: center;position: relative;}:host fieldset div label {cursor: pointer;display: flex;padding-left: 0.25em;width: 100%;}:host fieldset div label span {margin-top: 0.125em;}:host fieldset div input[type="radio"] {appearance: none;transition: 0.5s;border-radius: 100%;height: calc(6 * var(--spacing));min-width: calc(6 * var(--spacing));width: calc(6 * var(--spacing));}:host fieldset div input[type="radio"]:before {content: "";cursor: pointer;left: calc(1.5 * var(--spacing) - 2px);top: calc(1.5 * var(--spacing) - 2px);position: relative;border-radius: 100%;display: block;height: calc(3 * var(--spacing));width: calc(3 * var(--spacing));}:host fieldset div input[type="radio"]:checked:before {box-shadow: 0 0 0.1rem black;background-color: var(--color-mittelblau);}:host fieldset div input[type="radio"]:disabled {cursor: not-allowed;border-color: var(--border-default);background-color: var(--background-light-grey);}:host fieldset #error {margin: 0.4em 0;order: 4;}:host fieldset legend {order: 2;display: contents;}:host fieldset kol-input {order: 3;}:host fieldset.error {padding-left: 1em;border-left: 3px solid var(--color-rot);}:host fieldset.error kol-alert {color: var(--color-rot);margin-left: -0.125em;width: 100%;display: block;font-size: 0.875em;margin-bottom: 0.4em;}:host fieldset.error input:focus,:host fieldset.error select:focus,:host fieldset.error textarea:focus {outline-color: var(--color-rot) !important;}.disabled {opacity: 0.33;}',
	'KOL-INPUT-RANGE':
		'/* https://www.cssportal.com/style-input-range/ */kol-input {display: grid;}kol-input label {color: var(--color-textschwarz);display: grid;order: 2;margin-bottom: 0.4em;}kol-input div.input {box-sizing: border-box;order: 3;background-color: white;border-radius: 0.3125rem;}kol-input kol-alert.error {margin-bottom: 0.4em;order: 4;}input,select,textarea {font-family: var(--font-family);background-color: transparent;box-sizing: border-box;font-size: 1rem;display: inline-flex;line-height: 1.5em;color: var(--color-textschwarz);border-color: var(--color-grau-vordergrund-disabled-selected);border-width: 2px;border-style: solid;padding: 0.625em 0.875em;border-radius: 0.3125rem;overflow: hidden;width: calc(100% - 4em);}input,select:not([multiple]) {height: 2.75em;}input::placeholder {color: var(--color-grau-vordergrund-disabled-selected);}input:hover {border-color: var(--color-grau-vordergrund-disabled-selected-hover);}input:not([type="color"]):read-only,input:disabled,/* select:read-only, */select:disabled,textarea:read-only,textarea:disabled {cursor: not-allowed;border-color: var(--color-grau-vordergrund-disabled-selected);}.required #label::after {content: "*";padding-left: 0.125em;}.icons {color: var(--color-textschwarz);display: flex;justify-content: space-between;height: 0;}.icons > * {margin: 0.725em 0.875em;box-sizing: border-box;border-color: transparent;border-width: 2px;border-style: solid;}.icon-left input,.icon-left select {padding-left: calc(0.875em + 1em + 0.5em);}.icon-right input,.icon-right select {padding-right: calc(0.875em + 1em + 0.5em);}kol-input.error {border-left: 3px solid var(--color-rot);padding-left: 1em;}kol-input.error input:focus,kol-input.error select:focus,kol-input.error textarea:focus {outline-color: var(--color-rot) !important;}kol-input.error kol-alert.error {color: var(--color-rot);font-size: 0.875em;margin-left: -0.125em;}kol-button-wc {position: relative;float: right;z-index: 1000;margin-top: -33px;}kol-button-wc button {border: 1px solid var(--color-grau-vordergrund-disabled-selected);border-radius: 0.25rem;box-sizing: border-box;background-color: transparent;cursor: pointer;}.icon-right kol-button-wc {margin-right: 2.5em;}.disabled {opacity: 0.33;}.icon-left input,.icon-left select {margin-left: 2em;}.icon-right input,.icon-right select {margin-right: 2em;}input[type="range"] {appearance: none;-webkit-appearance: none;-moz-appearance: none;}input[type="range"] {overflow: visible;background-color: var(--color-mittelblau25);border: 0;height: 0.5rem;padding: 0;padding-bottom: 0;margin-bottom: 0;}input[type="range"]::-webkit-slider-thumb {box-sizing: border-box;background-color: var(--color-mittelblau);height: 20px;width: 20px;border-radius: 20px;cursor: pointer;-webkit-appearance: none;}',
	'KOL-PROGRESS':
		':host progress,:host span {display: block;height: 0px;overflow: hidden;width: 0px;}svg line:first-child,svg circle:first-child {fill: transparent;stroke: var(--color-dunkelblau25);}svg line:last-child,svg circle:last-child {stroke: var(--color-mittelblau);fill: transparent;}progress {display: none;}',
	'KOL-CARD':
		'/* https://www.figma.com/file/56JbmrssCRpjpfxoAFeHqT/Design-System-EPLF-(in-progress)?node-id=8225%3A5945 */:host > div {display: grid;width: 100%;height: 100%;background-color: white;grid-template-rows: min-content 2fr min-content;box-shadow: 0 0 0.25rem var(--color-grey);border-radius: 0.25rem;border: 1px solid var(--color-grau-hintergrund);}:host kol-heading-wc {display: inline-flex;font-style: normal;font-weight: 700;font-size: 1.25rem;line-height: 1.75rem;}:host div.header {padding: 1rem 1rem 0.5rem 1rem;}:host div.content {padding: 0.5rem 0 1rem 0;}:host div.footer {padding: 0.5rem 1rem;}:host > div > div.content + div.footer {border-top: 2px solid var(--color-grau-vordergrund-disabled-unselected);}',
	'KOL-TABS':
		'kol-button-group > div {border: 1px solid var(--color-grau-vordergrund-disabled-unselected);border-bottom: 0;}kol-button-group > div + div {border-left: 0;}kol-button-group > div button {background-color: transparent;border: 0;border-bottom: 1px solid transparent;padding: 1em;font-weight: 700;font-size: 1rem;line-height: 22px;text-transform: uppercase;color: var(--color-mittelblau);}kol-button-group > div button.primary,kol-button-group > div button.selected {color: var(--color-rot);border-bottom-color: var(--color-textweiss);}div[role="tabpanel"] {float: left;padding: 1rem;margin-top: -1px;border-top: 1px solid var(--color-grau-vordergrund-disabled-unselected);height: 100%;width: 100%;}div.grid {height: 100%;}.close-button {display: none;visibility: hidden;}',
	'KOL-TABLE':
		':host > div {overflow-x: scroll;overflow-y: hidden;}caption {padding: 0.5em;}th {font-weight: normal;color: var(--color-mittelblau);}:host table thead tr:first-child th,:host table thead tr:first-child td {border-width: 0;border-top-width: 2px;border-style: solid;border-color: var(--color-grau-hintergrund);}table {width: 100%;border-spacing: 0;}table,:host table thead tr:last-child th,:host table thead tr:last-child td {border-width: 0;border-bottom-width: 2px;border-style: solid;border-color: var(--color-grau-hintergrund);}th {background-color: var(--color-white);}th div {width: 100%;display: flex;gap: 0.5em;grid-template-columns: 1fr auto;align-items: center;}tr:nth-child(even) {background-color: #f2f2f2;}th,td {padding: 0.5em;}th[aria-sort="ascending"],th[aria-sort="descending"] {font-weight: 700;}:host > div.pagination {padding: 0.5em;}:host > div:last-child,:host > div.pagination > div:last-child {display: grid;align-items: center;justify-items: center;gap: 1em;}@media (min-width: 1024px) {:host > div:last-child,:host > div.pagination > div:last-child {grid-auto-flow: column;}}',
	'KOL-NAV':
		'* {margin: 0;padding: 0;}nav {font-family: var(--font-family);font-size: var(--font-size);background-color: var(--color-smoke);}ul {list-style: none;}a {background-color: var(--color-textweiss);text-decoration: none;color: var(--color-dunkelblau);width: 100%;display: block;font-style: normal;font-weight: bold;padding: 0.75rem 0.5rem;border-left-color: var(--color-textweiss);border-left-style: solid;border-left-width: 0.5rem;line-height: 1.5rem;min-height: 44px;min-width: 44px;transition-duration: 0.5s;transition-property: background-color, color, border-color;}a:hover {background-color: var(--color-mittelblau);border-color: var(--color-rot);color: var(--color-textweiss);}a > kol-icon {width: 44px;display: inline-block;text-align: center;}a[part*="selected"] {background-color: var(--color-mittelblau25);border-left-color: var(--color-dunkelblau);color: var(--color-mittelblau);}.hidden {display: none;}:host > div > div:last-child {margin-top: 0.5em;width: 100%;text-align: center;} /* horizontal */ul.flex {display: flex;}li > div > div.absolute {position: absolute;}',
	'KOL-ICON': KOL_ICON,
});
